=== debian/changelog ===
marble (4:17.08.3-3~mx17+2) mx; urgency=medium

  * Add missing QML depends for marble-maps.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Mar 2018 09:37:43 -0800

marble (4:17.08.3-3~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Don't install appdata.xml files; they cause FTBFS,

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Jan 2018 15:19:53 -0800

marble (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Unregister /etc/xdg/marble.knsrc as marble-data conffile (it is a conffile
    of marble now). (Closes: #885067)
  * Reshuffle the packages, also to improve the dependencies for each
    component:
    - new marble-qt-data: split from marble-data, contains the data needed for
      libmarblewidget, and marble-qt; make libmarblewidget, and marble-data
      depend on it
    - new plasma-marble: contains all the Plasma-related bits; move the Plasma
      dependencies for it from marble-data (Closes: #884027)
  * Remove in the dh_auto_install override all the files that must not be
    installed, instead of ignoring them
    - simplify a bit one install file
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 14:31:18 +0100

marble (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883624)
  * Bump Standards-Version to 4.1.2, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:58:03 +0100

marble (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge changes from 4:16.08.3-2.
  * Simplify watch file, and switch it to https.
  * Remove unused debian/meta/cmake-ignore file.
  * Remove unused build dependencies: libkf5config-dev, libkf5service-dev,
    libopencv-core-dev, libopencv-highgui-dev, libopencv-imgproc-dev,
    libprotobuf-dev, libquazip5-dev, python-dev, qtscript5-dev, and sip-dev
    - explicitly add libkf5plasma-dev
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 21:32:54 +0100

marble (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:41 +0200

marble (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:12 +0000

marble (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:53 +0000

marble (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:51 +0000

marble (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:25:06 +0000

marble (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:22 +0000

marble (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:11 +0000

marble (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:28 +0000

marble (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:24 +0000

marble (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

marble (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:10 +0000

marble (4:16.08.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #879094)
  * Update Homepage to marble.kde.org. (Closes: #854798)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing whitespaces in changelog.
  * Remove unused ${shlibs:Depends} substvar from libastro-dev.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 07:28:23 +0100

marble (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:16 +0000

marble (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:38 +0000

marble (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:41 +0000

marble (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2016 13:29:49 +0000

marble (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:48 +0000

marble (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:23 +0000
