## marble 17.08.3%2Bqtbuild

=== debian/changelog ===
marble (4:17.08.3+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:48:00 +0800

marble (4:17.08.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Frédéric Bonnard ]
  * Add Comment fields to the .desktop files as they are now
    required by the Appstream generator.  (Closes: #923592)
  * add include QPainterPath

 -- Niels Thykier <niels@thykier.net>  Sat, 18 May 2019 07:16:42 +0000

marble (4:17.08.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing qml-module dependencies for marble-maps. (Closes: #879756)
  * Add patch to build with Qt 5.11 by including missing headers.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Oct 2018 13:38:29 +0200
