=== src/plasma/wallpapers/CMakeLists.txt ===
plasma_install_package(worldmap org.kde.plasma.wallpaper.worldmap wallpapers wallpaper)
