=== debian/changelog ===
marble (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * Update install files for changed worldmap wallpaper name and path
  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:31 +0000

marble (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Disable failing TestGeoDataWriter test. Broken on KDE CI since
    November 2017. Reported as KDE Bug: 390941

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 10:09:10 +0000

marble (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:56 +0000

marble (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Increase libmarblewidget-qt version to 28
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:03 +0000
